# Class: Scoord3D

## (abstract) scoord3d.Scoord3D(options)

3D spatial coordinates.

## Constructor

#### (abstract) new Scoord3D(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options ###### Properties
Name | Type | Description
--- | --- | ---
`frameOfReferenceUID` | string | Frame of Reference UID
`coordinates` | Array.<Array.<number>> | (x, y, z) coordinates for each point
`fiducialUID` | string | Fiducial UID

Source:
  - scoord3d.js, line 14

### Members

#### fiducialUID :string

Fiducial UID

##### Type:

- string

Source:
  - scoord3d.js, line 74

#### frameOfReferenceUID :string

Frame of Reference UID

##### Type:

- string

Source:
  - scoord3d.js, line 65

#### graphicData :Array.<Array.<number>>

Graphic Data

##### Type:

- Array.<Array.<number>>

Source:
  - scoord3d.js, line 47

#### graphicType :string

Graphic Type

##### Type:

- string

Source:
  - scoord3d.js, line 56